#
# spec file for package ghc-writer-cps-full
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name writer-cps-full
Name:           ghc-%{pkg_name}
Version:        0.1.0.0
Release:        3.11
Summary:        WriteT and RWST monad transformers (Reexport with all dependencies)
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-writer-cps-lens-devel
BuildRequires:  ghc-writer-cps-morph-devel
BuildRequires:  ghc-writer-cps-mtl-devel
BuildRequires:  ghc-writer-cps-transformers-devel

%description
The WriterT and RWST monad transformers provided by writer-cps-transformers are
written in continuation passing style and avoid the space-leak problem of the
traditional Control.Monad.Trans.Writer.Strict and
Control.Monad.Trans.Writer.Lazy. This package reexports from
writer-cps-transformers and provides all missing orphan instances, e.g.
from mtl.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files

%changelog
* Tue Jul 10 2018 psimons@suse.com
- Add writer-cps-full at version 0.1.0.0.
